@if (currentUser$ | async; as user) {
  <div class="information-grid">
    <sqtm-core-label [text]="'sqtm-core.entity.generic.name.label' | translate">
    </sqtm-core-label>
    <div [attr.data-test-field-id]="'name'">{{ getUsername(user) }}</div>
    <sqtm-core-label [text]="'sqtm-core.entity.user.email.label' | translate">
    </sqtm-core-label>
    <sqtm-core-editable-text-field
      [attr.data-test-field-id]="'email'"
      [sqtmCoreGenericViewEditableTextField]="'email'"
      layout="compact"
    >
    </sqtm-core-editable-text-field>
    <sqtm-core-label
      [text]="'sqtm-core.entity.user.account.group-authority.label' | translate"
    >
    </sqtm-core-label>
    <div [attr.data-test-field-id]="'group'">
      {{ getUserGroup(user) | translate }}
    </div>
    <sqtm-core-label
      [text]="
        'sqtm-core.entity.user.account.change-local-password.label' | translate
      "
    >
    </sqtm-core-label>
    @if ((currentUser$ | async).userAccount.canManageLocalPassword) {
      <button
        class="flex-fixed-size ant-btn ant-btn-primary m-r-auto"
        (click)="openChangePasswordDialog()"
      >
        {{ 'sqtm-core.entity.user.account.password.label' | translate }}
      </button>
    } @else {
      <span>{{
        'sqtm-core.administration-workspace.users.managed-password' | translate
      }}</span>
    }
  </div>
}
